Bug Hunting Session
Bug 119734 - Add icon Autofilter to Groupedbar in Calc
Summary: Add icon Autofilter to Groupedbar in Calc
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Notebookbar-Groupedbar
  Show dependency treegraph
 
Reported: 2018-09-06 16:56 UTC by Roman Kuznetsov
Modified: 2018-12-29 14:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2018-09-06 16:56:17 UTC
Description:
Add icon Autofilter to Groupedbar in Calc.
There is only icon Standard filter on Groupedbar, but users use often Autofilter, than Standard filter

Steps to Reproduce:
1. Change GUI in Calc to Groupedbar
2. Looks at Data section
3.

Actual Results:
There isn't icon Autofilter on Groupedbar in Calc

Expected Results:
There is icon Autofilter on Groupedbar in Calc


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Heiko Tietze 2018-10-12 11:17:12 UTC
Think it's not the icon as visual indicator but the button as quick access to the command. Up to the NB variant designer, Andreas.
Comment 2 Commit Notification 2018-12-13 23:02:01 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4786a09e7c41c5dc21732b2e0c74c2984c40c9b5%5E%21

tdf#119734 add icon AutoFilter to groupedbar in calc

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-12-14 00:06:30 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/acc98b964109506141753b9f3baf56393ea4b62b%5E%21

tdf#119734 add icon AutoFilter to groupedbar in calc

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2018-12-29 14:57:07 UTC
Solved. Verified on
Version: 6.3.0.0.alpha0+
Build ID: f43699621adf44627aa7529b37677e2c7f892b8f
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-27_21:01:50
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded